Updates a user
curl --request PATCH \
--url https://api.eu.bronto.io/users/{userId} \
--header 'Content-Type: application/json' \
--header 'X-BRONTO-API-KEY: <api-key>' \
--data '
{
"first_name": "Alice",
"last_name": "Smith",
"roles": [
"Admin",
"Standard",
"ReadOnly"
],
"login_methods": {}
}
'import requests
url = "https://api.eu.bronto.io/users/{userId}"
payload = {
"first_name": "Alice",
"last_name": "Smith",
"roles": ["Admin", "Standard", "ReadOnly"],
"login_methods": {}
}
headers = {
"X-BRONTO-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-BRONTO-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'Alice',
last_name: 'Smith',
roles: ['Admin', 'Standard', 'ReadOnly'],
login_methods: {}
})
};
fetch('https://api.eu.bronto.io/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "John",
"last_name": "Doe",
"email": "john@company.com",
"roles": [
"ReadOnly",
"Standard"
],
"last_logins": {
"Okta": 1731370728,
"Password": 1731338939
},
"login_methods": {},
"tags": {
"region": "eu",
"environment": "production"
}
}{
"code": 201,
"correlation_id": "<string>",
"message": "<string>"
}{
"code": 201,
"correlation_id": "<string>",
"message": "<string>"
}{
"code": 201,
"correlation_id": "<string>",
"message": "<string>"
}{
"code": 201,
"correlation_id": "<string>",
"message": "<string>"
}{
"code": 201,
"correlation_id": "<string>",
"message": "<string>"
}Update a user
Updates the specified user’s information. Only the fields provided in the request body will be modified; other fields will remain unchanged. Users can typically update their own profiles, while administrators may update any user.
PATCH
/
users
/
{userId}
Updates a user
Authorizations
ApiKeyAuthBearerAuth
Path Parameters
Unique identifier of the user to update
Body
application/json
Response
User updated successfully
The unique identifier for the user
The user's first name
Example:
"John"
The user's last name
Example:
"Doe"
The user's email address
Example:
"john@company.com"
A list of role ids
Example:
["ReadOnly", "Standard"]
A map of login methods to their last login timestamps (Unix epoch).
Show child attributes
Show child attributes
Example:
{
"Okta": 1731370728,
"Password": 1731338939
}
A map of key value pairs associated with this log
Show child attributes
Show child attributes
Example:
{
"region": "eu",
"environment": "production"
}
⌘I

